GTA SA and DirectX 9.0C

October 19, 2005 at 19:54:00
Specs: Windows XP, Intel Pentium D 820 / 1gb

Everytime I try to play GTA SA I get an error dialogue box that reads "Grand Theft Auto SA requires at least DirectX version 9.0".

I have:
Intel Pentium D Processor 820
Intel 945G Chipset (motherboard video out)
1gb ddr2 ram
250gb SATA hd
Double layer 16x DVD writer

Need help please, Thanks.

DJ Precise tha RoLLa AKA Damage
search google


See More: GTA SA and DirectX 9.0C

Report •


#1
October 19, 2005 at 20:35:57

then get DX9.0c, you might not be able to run it with an onboard video.

SuSE LINUX 8.2 / Windows XP
2 Ghz Celeron - 640 MB DDR
ASUS MOBO - GF4 MX


Report •

#2
October 20, 2005 at 00:08:24

Yeah, I forgot to mention that I have 9.0c already installed on the system. The game worked before I installed some mods (cars), but I have since uninstalled and then reinstalled the game with no success. :(

DJ Precise tha RoLLa AKA Damage
search google


Report •

#3
October 20, 2005 at 06:46:36

Well, think about it. You installed a mod that the game developer does not support. When you go to uninstall the game any files the mod layed down are not going to be removed since the game developer does not support them nor do they know what files all the mods may or may not create. The mod may have also made registry entries that are causing this as well.

My best advice would be to uninstall the game. Then search your hard-drive for any folders related to the game and delete them (Most uninstalls will remove the files that belong to the program, but will not delete the folder if other files still exist). Then try installing the game again.

Michael J


Report •

Related Solutions

#4
October 23, 2005 at 03:29:38

I figured it out by playing Counterstrike. My onboard video driver only supports DirectX 8.1. I'm about to get a Nvidia 6800 GT card in a few days, PCI Xpress of course. That oughta solve that problem. Thanks for the responses!

Report •


Ask Question